--- src/userdel.c.orig	Fri Oct 12 13:08:12 2001
+++ src/userdel.c	Fri Oct 12 13:23:24 2001
@@ -715,7 +715,11 @@
 static int
 path_prefix(const char *s1, const char *s2)
 {
-	return (strncmp(s2, s1, strlen(s1)) == 0);
+	/* check if s1 is s2 or it's path prefix */
+	return ((strcmp (s1, s2) == 0) ||
+	        ((strlen (s2) > strlen (s1))        &&
+		 (strncmp(s2, s1, strlen(s1)) == 0) &&
+		 (s2[strlen (s1)] == '/')));
 }
 #endif
 
